import { Controller, Get, Post, Body, Patch, Param, Delete } from '@nestjs/common';
import { ApiOperation, ApiTags } from '@nestjs/swagger';
import { CustomResult, SuccessResult } from 'src/common/utils/result-utils';
import { UserService } from 'src/user/user.service';
import { ChickensService } from './chickens.service';
import { CreateChickenDto } from './dto/create-chicken.dto';
import { UpdateChickenDto } from './dto/update-chicken.dto';
import { CODE } from '../common/code'

@ApiTags('小鸡主体数据接口')
@Controller('chickens')
export class ChickensController {
  constructor(
    private readonly chickensService: ChickensService,
    private readonly userService: UserService,
  ) { }

  //领取小鸡
  @ApiOperation({ summary: '领取小鸡' })
  @Post()
  async create(@Body() createChickenDto: CreateChickenDto) {
    //用户数据初始化
    const initUser = await this.userService.init(createChickenDto)
    if (!initUser) return CustomResult(CODE.CODE_INIT_USER_ERR);
    //小鸡数据初始化
    createChickenDto.schedule = 0;
    createChickenDto.eat_start = 0;
    createChickenDto.eat_end = 0;
    createChickenDto.eat_time = 0;
    const init = this.chickensService.create(createChickenDto);
    if (!init) return CustomResult(CODE.CODE_INIT_PLAYER_ERR);
    return SuccessResult(true);
  }

  // @Get()
  // findAll() {
  //   return this.chickensService.findAll();
  // }

  // @Get(':id')
  // findOne(@Param('id') id: string) {
  //   return this.chickensService.findOne(+id);
  // }

  // @Patch(':id')
  // update(@Param('id') id: string, @Body() updateChickenDto: UpdateChickenDto) {
  //   return this.chickensService.update(+id, updateChickenDto);
  // }

  // @Delete(':id')
  // remove(@Param('id') id: string) {
  //   return this.chickensService.remove(+id);
  // }
}
