import { Module } from '@nestjs/common';
import { ChickensService } from './chickens.service';
import { ChickensController } from './chickens.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ChickenEntity } from './entities/chicken.entity';
import { UserModule } from 'src/user/user.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([ChickenEntity]),
    UserModule,
  ],
  controllers: [ChickensController],
  exports: [ChickensService],
  providers: [ChickensService]
})
export class ChickensModule { }
