export const LOG4JS_NO_COLOUR_DEFAULT_LAYOUT = {
  type: 'pattern',
  // log4js default pattern %d{yyyy-MM-dd HH:mm:ss:SSS} [%thread] %-5level %logger{36} - %msg%n
  // we use process id instead thread id
  pattern:
    '%d{yyyy-MM-dd hh:mm:ss:SSS} %p --- [%15.15x{name}] %40.40f{3}  : %m',
  tokens: {
    name: (logEvent) => {
      return (logEvent.context && logEvent.context['name']) || '-';
    },
  },
};
export const LOG4JS_DEFAULT_LAYOUT = {
  type: 'pattern',
  // log4js default pattern %d{yyyy-MM-dd HH:mm:ss:SSS} [%thread] %-5level %logger{36} - %msg%n
  // we use process id instead thread id
  pattern:
    '%[%d{yyyy-MM-dd hh:mm:ss:SSS} %p --- [%20.20x{name}]%] %20.40f{3}  : %m',
  tokens: {
    name: (logEvent) => {
      return (logEvent.context && logEvent.context['name']) || '-';
    },
  },
};

export default {
  appenders: {
    app: {
      type: 'dateFile',
      pattern: '.yyyy-MM-dd-hh',
      filename: 'logs/app.log',
      layout: LOG4JS_NO_COLOUR_DEFAULT_LAYOUT,
      categorie: ['app'],
    },
    coinlog_file: {
      type: 'dateFile',
      pattern: '.yyyy-MM-dd-hh',
      filename: 'logs/coin.log',
      layout: LOG4JS_NO_COLOUR_DEFAULT_LAYOUT,
      categorie: ['coinlog'],
    },
    consoleout: { type: 'console', layout: LOG4JS_DEFAULT_LAYOUT },
  },
  categories: {
    coinlog: {
      appenders: ['coinlog_file'],
      level: 'all',
    },
    default: {
      appenders: ['consoleout', 'app'],
      level: 'all',
    },
  },
};
