import { Column, CreateDateColumn, PrimaryGeneratedColumn, UpdateDateColumn } from "typeorm";

/** 邀请人统计实体 */
export class Invitedstatistic {
    @PrimaryGeneratedColumn()
    id: number;

    @Column({ comment: '用户ID', type: 'bigint' })
    userid: number;

    @Column({ comment: '当前有效人数', type: 'bigint', default: 0 })
    current_valid_count: number;

    @Column({ comment: '无效人数', type: 'bigint', default: 0 })
    current_invalid_count: number;

    @Column({ comment: '已领取钻石', type: 'bigint', default: 0 })
    received_balance: number;

    @Column({ comment: '待领取钻石', type: 'bigint', default: 0 })
    wait_receive_balance: number;

    @CreateDateColumn({ comment: '创建时间', type: 'timestamp' })
    create_time: Date;

    @UpdateDateColumn({ comment: '修改时间', type: 'timestamp' })
    update_time: Date;
}
