import { PartialType } from '@nestjs/mapped-types';
import { IsIn, IsNotEmpty } from 'class-validator';
import { UserOnlieStatus } from 'src/common/const';
import { CreateUserDto } from './create-user.dto';

export class UpdateUserDto extends PartialType(CreateUserDto) {
    @IsNotEmpty({ message: '用户状态不能为空' })
    @IsIn(Object.values(UserOnlieStatus))
    online_status: string;

    update_time?:Date;
}
