import { ParentReceiveStatus, UserOnlieStatus } from "src/common/const";
import { Column, CreateDateColumn, Entity, PrimaryGeneratedColumn, UpdateDateColumn } from "typeorm";
/**游戏用户主体 */
@Entity('user')
export class UserEntity {
    @PrimaryGeneratedColumn()
    id: number;

    @Column({ comment: '用户ID', type: 'bigint' })
    userid: number;

    @Column({ comment: '用户头像', type: 'varchar', default: '' })
    avatar: string;//头像每次进游戏更新

    @Column({ comment: '用户昵称', type: 'varchar', default: '' })
    nickname: string;//昵称每次进游戏更新

    @Column({ comment: '饲料余额', type: 'bigint', default: 0 })
    fodder_balance: number;

    @Column({ comment: '已有鸡蛋数量', type: 'bigint', default: 0 })
    eggs: number;

    @Column({
        comment: '在线状态',
        type: "enum",
        enum: UserOnlieStatus,
        default: UserOnlieStatus.LEAVE
    })
    online_status: string;

    // @Column({ comment: '上级用户ID', type: 'bigint' })
    // parent_id: number;

    // @Column({ comment: '父级从中获取钻石数量', type: 'bigint' })
    // parent_gain: number;

    // @Column({
    //     comment: '钻石领取状态(none-无;received-已领取;unreceive-未领取;wait_receive-n天后领取)',
    //     type: "enum",
    //     enum: ParentReceiveStatus,
    //     default: ParentReceiveStatus.NONE
    // })
    // parent_gain_status: string;

    // @Column({ comment: '父级盈利领取时间', type: 'varchar', default: '' })
    // parent_gain_time: string;

    // @Column({ comment: '父级盈利失败原因', type: 'varchar', default: '' })
    // parent_gain_reason: string;

    // @Column({ comment: 'APP注册时间', type: 'varchar', default: '' })
    // register_time: string;

    @CreateDateColumn({ comment: '游戏玩家信息创建时间', type: 'timestamp' })
    create_time: Date;

    @UpdateDateColumn({ comment: '修改时间', type: 'timestamp' })
    update_time: Date;
}
