import { Module } from '@nestjs/common';
import { UserService } from './user.service';
import { UserController } from './user.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { UserEntity } from './entities/user.entity';
import { GoodsService } from 'src/goods/goods.service';
import { GoodsEntity } from 'src/goods/entities/good.entity';
import { OrderlogEntity } from 'src/orderlog/entities/orderlog.entity';
import { OrderlogService } from 'src/orderlog/orderlog.service';
import { ConfigModule } from '@nestjs/config';

@Module({
  imports: [
    ConfigModule,
    TypeOrmModule.forFeature([UserEntity, GoodsEntity, OrderlogEntity])
  ],
  controllers: [UserController],
  exports: [UserService],
  providers: [UserService, GoodsService, OrderlogService]
})
export class UserModule { }
